VOClient (gCube Loggedin Portlet 2.6.0-3.8.0 API)
Date: 2015-08-07

org.gcube.portlets.user.gcubeloggedin.shared

## Class VOClient

- java.lang.Object
- - org.gcube.portlets.user.gcubeloggedin.shared.VObject
  - - org.gcube.portlets.user.gcubeloggedin.shared.VOClient

- All Implemented Interfaces:
    Serializable, Comparable<VOClient>

      public class VOClient
      extends VObject
      implements Comparable<VOClient>, Serializable

  Author:
    massi
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.portlets.user.gcubeloggedin.shared.VObject

      `VObject.UserBelongingClient`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VOClient()`
    `VOClient(String name, String groupName, String description, String imageURL, String friendlyURL, VObject.UserBelongingClient userBelonging)`
    `VOClient(String name, String groupName, String description, String imageURL, String friendlyURL, VObject.UserBelongingClient userBelonging, boolean isRoot, List<VREClient> vres)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(VOClient voToCompare)`
    `List<VREClient>` | `getVres()`
    `boolean` | `isRoot()`
    `void` | `setRoot(boolean isRoot)`
    `void` | `setVres(List<VREClient> vres)`

    - ### Methods inherited from class org.gcube.portlets.user.gcubeloggedin.shared.VObject

      `getDescription, getFriendlyURL, getGroupName, getImageURL, getName, getUserBelonging, isMandatory, isUponRequest, setDescription, setFriendlyURL, setGroupName, setImageURL, setMandatory, setName, setUponRequest, setUserBelonging`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VOClient

          public VOClient()

    - #### VOClient

          public VOClient(String name,
                  String groupName,
                  String description,
                  String imageURL,
                  String friendlyURL,
                  VObject.UserBelongingClient userBelonging)

    - #### VOClient

          public VOClient(String name,
                  String groupName,
                  String description,
                  String imageURL,
                  String friendlyURL,
                  VObject.UserBelongingClient userBelonging,
                  boolean isRoot,
                  List<VREClient> vres)

  - ### Method Detail

    - #### isRoot

          public boolean isRoot()

    - #### setRoot

          public void setRoot(boolean isRoot)

    - #### getVres

          public List<VREClient> getVres()

    - #### setVres

          public void setVres(List<VREClient> vres)

    - #### compareTo

          public int compareTo(VOClient voToCompare)

      Specified by:
        `compareTo` in interface `Comparable<VOClient>`

Copyright © 2015. All Rights Reserved.